Skip to main content

List Admin Users

List Admin Users will return a list of admin users.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/admin/users

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_user/adminusers
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataListUser details
usernameStringUnique username of the user
idStringAutogenerated UUID.
firstNameStringFirst name of the user
lastNameStringLast name of the user
emailStringUnique email corresponding to the user (Example: testuser@mail.com)
enabledBooleanIf true the user is enabled, else disabled. Disabled user cannot login to mID.
emailVerifiedBooleanIf true indicates that the user email id has been verified, else unverified.
attributesListAdditional informations of the user (Example: birthdate)
requiredActionsList(String)List the actions which need to be performed during initial login. Refer Required Actions to know the supported actions
adminBooleanIf set to true the user has admin role mapped, else not.

Sample Response​

{
"message": "Admin users fetched successfully",
"status": "Success",
"subSystem": 5,
"data": [
{
"username": "test",
"id": "2393cb6f-64e6-49db-8663-56ead7fb5db7",
"email": "testuser@email.com",
"firstName": "first4",
"lastName": "last6",
"enabled": true,
"emailVerified": false,
"attributes": {},
"requiredActions": [],
"admin": false
},
{
"username": "testuserdemo",
"id": "2393cb6f-64e6-49db-8663-56ead7fb5db7",
"email": "examplenew@email.com",
"firstName": "Foo",
"lastName": "Bar",
"enabled": true,
"emailVerified": false,
"attributes": {
"digitaniumUserIdOnboardingType": [
"onscreen"
],
{
"username": "umaadmin",
"id": "2393cb6f-64e6-49db-8663-56ead7fb5db7",
"email": "example@email.com",
"firstName": "first4",
"lastName": "last6",
"enabled": true,
"emailVerified": false,
"attributes": {},
"requiredActions": [],
"admin": false
}
]
}

Response Status Information​

Status CodeStatusMessage
200SuccessAdmin users fetched successfully
401UnauthorizedHTTP 401 Unauthorized
403FORBIDDENFailed to get user